import { post } from '@/utils/request'

export interface SiteCustomize {
  siteTitle: string
  faviconUrl: string
  loginDescription: string
}

export function getSiteCustomize<T>() {
  return post<T>({
    url: '/system/siteCustomize/get',
  })
}

export function setSiteCustomize<T>(data: SiteCustomize) {
  return post<T>({
    url: '/system/siteCustomize/set',
    data,
  })
}
